<template>
  <div clas="col-12">
    <router-link :to="{path:'new'}" append>
      <button class="btn btn-info float-right but">Nouveau Sprint</button>
    </router-link>
    <router-link :to="{path:'../../'}" append>
      <button class="btn btn-secondary float-right but">Retour</button>
    </router-link>
    <SprintsList v-bind:sprints="sprints" v-on:edit="edit" v-on:userStory="userStory"></SprintsList>
  </div>
</template>

<script>
import SprintsList from '@/components/shared/Sprints.List.vue';
export default {
  computed: {
    project() {
      return this.$store.getters.getCurrentProject;
    },
    sprints() {
      if (this.project.sprints) {
        return this.project.sprints;
      }
      return new Array();
    }
  },
  methods: {
    edit(index) {
      this.$router.push({ path: index + "/edit", append: "true" });
    },
    userStory(index) {
      this.$router.push({ path: index + "/userstories", append: "true" });
    }
  },
  components: {
    SprintsList
  }
}
</script>

<style scoped>
.but {
  margin-bottom: 50px;
  margin-left: 8px;
  margin-right: 8px;
}
</style>
